Bug 1988388 - Image pruner does not use custom tolerations
Summary: Image pruner does not use custom tolerations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.z
Assignee: Oleg Bulatov
QA Contact: wewang
URL:
Whiteboard:
Depends On: 1973662
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-30 12:58 UTC by OpenShift BugZilla Robot
Modified: 2021-08-31 06:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The operator to check if the registry should use custom tolerations was checking spec.nodeSelector instead of spec.tolerations. Consequence: The custom tolerations from spec.tolerations are applied only when spec.nodeSelector is set. Fix: Use the field spec.tolerations to check presence of custom tolerations. Result: The operator uses custom tolerations if spec.tolerations are set.
Clone Of:
Environment:
Last Closed: 2021-08-17 12:12:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 708 0 None None None 2021-08-03 10:54:22 UTC
Red Hat Product Errata RHBA-2021:3032 0 None None None 2021-08-17 12:12:50 UTC

Comment 4 errata-xmlrpc 2021-08-17 12:12:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.24 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3032


Note You need to log in before you can comment on or make changes to this bug.